当前位置:网站首页 > 软件下载 > 电脑软件下载 > 正文
phpstudy4(iis) 电脑软件下载

phpstudy4(iis)

2020-11-14 类别:电脑软件下载

  • 发布日期:2020-11-14
  • 所属类别:电脑软件下载
  • 下载人数:56
  • 评论人数:0
  • 语言:简体中文
  • 大小:25.27M

pc下载

扫二维码手机浏览

phpstudy4(iis)介绍

phpstudy4(iis)

phpStudy for IIS (php一键安装包 for IIS7/8/6) 2016.10.03

软件说明:

网上的iis+php一键安装包多数是为IIS6而生的,而IIS7和IIS8的一键安装包却少得可怜,并且大多数没有控制面板。

本软件专门为IIS开发的,全面支持IIS7/8/6,自动识别IIS的版本。有专门的控制面板,并且可以通过软件上的站点域名管理给IIS添加站点并自动配好php。软件自带php5.2+php5.3+php5.4支持一键切换。 

软件集成IIS+php5.2/5.3/5.4+mysql+phpmyadmin+sql-front+ZendOptimizer;没有apache,仅适用安装有IIS的系统win2003/win7/win8/win2008/win2012。

解压软件后,选择一个php的版本点一下『应用』按钮即可,真正做到一键安装。

前提必须安装好IIS;IIS7/8需要安装FastCGI 模块。


MySQL数据库

用户名:root,密码root,安装后请重新设置密码。 


支持的系统及IIS版本,其他系统请勿使用,可以使用带有apache/nginx的phpStudy或phpfind。

  • win2003  IIS6

  • win7  IIS7

  • win2008  IIS7

  • win8  IIS8

  • win2012  IIS8


『特别注意』

1. 为了减少出错安装路径不得有空格和汉字,如有防火墙开启,会提示是否信任httpd、mysqld运行,请选择全部允许。

2. 此为IIS+php方案,需要Nginx+php方案的请到www.phpStudy.net下载phpfind,Lighttpd+PHP方案下载phpLight。

3. 重装系统后或相关服务丢失时,只需要点一下『运行模式-应用』即可。

4. 可通过菜单『卸载相关服务』进行卸载相关服务。

5. 在『启动』、『停止』、『重启』三个启停按钮上右键可以有选择地进行启停,左键将控制全部的启停。 

6. 端口问题无法启动时,请使用菜单『环境端口检测』进行端口检测,尝试启动。


作者联系方式:

  • scp1688@163.com

  • QQ:282129207

  •  http://www.phpStudy.net




IIS7/8快速安装PHP及注意事项

phpStudy支持win7/8和win2008/2012的IIS7/8。win8最好以管理员身份运行。已经测试过N次了。

但是在安装前要注意激活FastCGI 模块

默认安装的 IIS 中 FastCGI 模块被关闭。要激活其的步骤在不同版本的 Windows 下不同。


要在 Windows Vista SP1 和 Windows 7 中激活 FastCGI 支持:

在 Windows 开始菜单中选择“运行...”(或在搜索框内),输入“optionalfeatures.exe”并按“确定”(或敲回车键);

在“Windows 功能”对话框中展开“Internet 信息服务”,“万维网服务”,“应用程序开发功能”,并选中“CGI”的选择框;

点击确定按钮并等待安装完成。


要在 Windows Server 2008 和 Windows Server 2008 R2 中激活 FastCGI 支持:

在 Windows 开始菜单中选择 "运行:",输入 "CompMgmtLauncher" 并点击 "确定";

或 打开服务器管理器-添加角色-Web 服务器(IIS),再勾选CGI后安装


激活FastCGI 模块后切换到phpstudy的IIS7+php5.2-5.5即可


参照:http://www.phpstudy.net/a.php/182.html



phpStudy提示没安装Zend或Zend Optimizer not Installed

phpStudy是自带Zend Optimizer和Zend Guard Loader,

但是php5.3及以后的版本Zend Optimizer改名Zend Guard Loader。 

php5.3及以后的版本Zend Optimizer改名Zend Guard Loader。 

是zend官方改名不是我改的哟。 

也就是说需要Zend Optimizer的程序将不能安装到php5.3以后的版本。 

所以下载phpStudy之后切换到php5.2即可解决问题。 

需要Zend Guard Loader的切换到php5.3和php5.4,但是必须是以fastcgi模式运行

参照:http://www.phpstudy.net/a.php/181.html


标签:

版权说明:如非注明,本站文章均为 版主资源网 原创,转载请注明出处和附带本文链接;

本文地址:http://bzsou.cc/diannao/71.html


取消回复欢迎 发表评论:

分享到